grk::MemStream Struct Reference

`#include <MemStream.h>`

## Public Member Functions

| MemStream (uint8_t *buffer, size_t offset, size_t length, bool owns)
| MemStream ()
| ~MemStream ()

## Public Attributes

uint8_t * | buf
size_t | off
size_t | len
grk_handle | fd
bool | ownsBuffer

## Constructor & Destructor Documentation

## MemStream() [1/2]

grk::MemStream::MemStream | ( | uint8_t * | buffer,
|  | size_t | offset,
|  | size_t | length,
|  | bool | owns
| ) |  |

## MemStream() [2/2]

grk::MemStream::MemStream | ( |  | ) |

## ~MemStream()

grk::MemStream::~MemStream | ( |  | ) |

References buf, and ownsBuffer.

## Member Data Documentation

## buf

uint8_t* grk::MemStream::buf

Referenced by grk::zero_copy_read_from_mem(), and ~MemStream().

## fd

grk_handle grk::MemStream::fd

## len

size_t grk::MemStream::len

## off

size_t grk::MemStream::off

## ownsBuffer

bool grk::MemStream::ownsBuffer

Referenced by ~MemStream().

The documentation for this struct was generated from the following files:

- MemStream.h
- MemStream.cpp